/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

Each recipient is solely responsible for determining the
appropriateness of using and distributing this program and assumes
all risks associated with its exercise of rights under the Common
Public License, including but not limited to the risks and
costs of program errors, compliance with applicable laws,
damage to or loss of data, programs or equipment, and
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_LOADERROR_H__E21FF358_9D2D_4C32_81D7_445C484E1725__INCLUDED_)
#define AFX_LOADERROR_H__E21FF358_9D2D_4C32_81D7_445C484E1725__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LoadError.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLoadError dialog

class CLoadError : public CDialog
{
// Construction
public:
	CLoadError(time_t _timeStamp,char *_title=0,char *_error=0,CWnd* pParent = NULL);   // standard constructor
	CTime timeStamp;
	char *title;
	char *error;
// Dialog Data
	//{{AFX_DATA(CLoadError)
	enum { IDD = IDD_LOADERROR };
	CListCtrl	m_list;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLoadError)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLoadError)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOADERROR_H__E21FF358_9D2D_4C32_81D7_445C484E1725__INCLUDED_)
