/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#ifndef _SCTS_DMNOTIFY_H
#define _SCTS_DMNOTIFY_H

#include "SctsDevManDevice.h"


class SctsDMNotification : public SctsThread
{
private:
	struct sockaddr_in address;
	SctsDMServerDevice *device;
	SctsDMNode *dmacc;
	int Run();
	int Exit();

public:
	SctsDMNotification(struct in_addr *_addr,short _port,SctsDMServerDevice *_device,SctsDMNode *_dmacc)
	{
		address.sin_family=AF_INET;
		address.sin_port=htons(_port);
		sctsMemcpy(&address.sin_addr,_addr,sizeof(struct in_addr));
		dmacc=_dmacc;
		device=_device;
	}
};

#endif