/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_UIACHOICE_H__23A6FAD5_DED6_462E_BE64_FC713F3AE172__INCLUDED_)
#define AFX_UIACHOICE_H__23A6FAD5_DED6_462E_BE64_FC713F3AE172__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UIAChoice.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUIAChoice dialog

class CUIAChoice : public CDialog
{
// Construction
public:
	CUIAChoice(SctsSemaphore& _lock,std::list<char *>& _items,int& _choice,CWnd* pParent = NULL);   // standard constructor

    SctsSemaphore& lock;
	std::list<char *>& items;
	int* choice;

    /*
     * Change to support Milti Choices. 
     */
    CUIAChoice(SctsSemaphore& _lock,std::list<char *>& _items,std::list<int>& _choices,CWnd* pParent = NULL);   // standard constructor
    std::list<int>* choices;
    CListBox m_choices;

	void OnOK();
	void OnCancel();

// Dialog Data
	//{{AFX_DATA(CUIAChoice)
	enum { IDD = IDD_UIACHOICE };
	CListBox	m_choice;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUIAChoice)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CUIAChoice)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnClose();
	afx_msg void OnDblclkChoice();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UIACHOICE_H__23A6FAD5_DED6_462E_BE64_FC713F3AE172__INCLUDED_)
