/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_UIACONFIRMATION_H__D14F4BED_D15C_47D7_884D_855D32E0EB3D__INCLUDED_)
#define AFX_UIACONFIRMATION_H__D14F4BED_D15C_47D7_884D_855D32E0EB3D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UIAConfirmation.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUIAConfirmation dialog

class CUIAConfirmation : public CDialog
{
// Construction
public:
	CUIAConfirmation(SctsSemaphore& _lock,char *_deviceID,char *_display,bool& _result,CWnd* pParent = NULL);   // standard constructor
	SctsSemaphore& lock;
	char *display;
	char *deviceID;
	bool& result;

// Dialog Data
	//{{AFX_DATA(CUIAConfirmation)
	enum { IDD = IDD_UIACONFIRMATION };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUIAConfirmation)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CUIAConfirmation)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnConfyes();
	afx_msg void OnConfno();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UIACONFIRMATION_H__D14F4BED_D15C_47D7_884D_855D32E0EB3D__INCLUDED_)
